<template>
<div>
    <v-container>
      <v-row class="space px-16">
        <v-col v-for="product in products" :key="product.productId" cols="12" xs="12" sm="6" md="4">
          <v-card class="mx-auto rounded-xl" max-width="300" style="padding-top: 30px;" flat outlined>
            <div align="center" justify="center">
              <v-img v-if="product.picmenu" :src="product.picmenu" max-height="200px" max-width="200px" contain></v-img>
              <div v-else style="height: 200px; width: 200px; display: flex; align-items: center; justify-content: center; background-color: lightgray;">
                <span>Image not available</span>
              </div>
            </div>
            <v-card-title style="justify-content:center">เมนู : {{ product.products_name }}</v-card-title>
            <v-card-subtitle class="mt-n4" style="text-align: center;">ราคา : {{ product.price }} บาท</v-card-subtitle>
            <br>
            <v-card-actions class="mx-2 mt-n4">
              <v-btn @click="decreaseQuantity(product)" outlined class="mt-n2 add">
                <v-icon color="green">fa fa-minus</v-icon>
              </v-btn>
              <strong>{{ product.quantity }}</strong>
              <v-btn @click="increaseQuantity(product)" outlined class="mt-n2 add">
                <v-icon color="green">fa fa-plus</v-icon>
              </v-btn>
              <v-btn class="mx-2 mt-n3" fab dark small color="green" @click="addToCart(product)">
                <v-icon dark>fa fa-shopping-basket</v-icon>
              </v-btn>
            </v-card-actions>
          </v-card>
        </v-col>
      </v-row>
    </v-container>
</div>
</template>

<script>
import axios from 'axios';

export default {
    data() {
        return{
            products: []
        }
    },
    created() {
        this.fetchProducts();
    },
    methods: {
        async fetchProducts() {
            const response = await axios.get('http://192.168.73.121:3000/products');
            this.products = response.data
            console.log('====================================');
            console.log(this.products);
            console.log('====================================');
        },
    }
}
</script>

<style>

</style>
